// Including sha512 to hash the request
var sha512 = require('sha512')
// var hash = sha512("hello")
// Test URL
exports.testposturl = 'https://test.payu.in/_payment';
// Production URL
exports.liveposturl = 'https://secure.payu.in/_payment';
// console.log(hash.toString('hex'))
exports.createHash = function($key,$txnid,$amount,$productinfo,$firstname,$email,$udf1,$udf2,$udf3,$udf4,$udf5,$salt) {
	// parameters to be posted to PayU
	// 1. Key* (string)(Merchant key provided by PayU)
	// 2. txnid* (string)(Order ID/Transaction ID)
	// 3. amount* (float)(transaction amount)
	// 4. productinfo* (string)(product information like tshirt100)
	// 5. firstname* (firstname of the customer)
	// 6. email* (email of the customer)
	// 7. phone* (phone number of the customer)
	// 8. lastname (lastname of the customer)
	// 9. address1 (address line 1 of the customer)
	// 10. address2 (address line 2 of the customer)
	// 11. city (city of the customer)
	// 12. statue (state of the customer)
	// 13. country (country of the customer)
	// 14. zipcode (zipcode of the customer)
	// 15. udf1 (userdefined value of the customer)
	// 16. udf2 (userdefined value of the customer)
	// 17. udf3 (userdefined value of the customer)
	// 18. udf4 (userdefined value of the customer)
	// 19. udf5 (userdefined value of the customer)
	// 20. surl (success URL)
	// 21. furl (failure URL)
	// 22. curl (cancellation URL)
	// 23. hash* (crucial parameter for a request, without this request will not be successfull)
	// 24. pg (page you want to show customers options are NB,CC,DC,CASH,EMI)
	// 25. custom_note (note to the customer on the payment page, if any)
	// 26. Offer key (or BINS to avail a offer - combinations are usually provided by PayU)
	var ss = $key+'|'+$txnid+'|'+$amount+'|'+$productinfo+'|'+$firstname+'|'+$email+'|'+$udf1+'|'+$udf2+'|'+$udf3+'|'+$udf4+'|'+$udf5+'|||||'+'|'+$salt;
	var hash = sha512(ss);
	return hash.toString('hex');
}
// var yo = exports.createHash('gtKFFx','001',200.00,'Simple Tshirt','chaithanya','chaithanya.padi@gmail.com','developer & shit','','','','','eCwWELxi');
// console.log(yo);